Bug 20283 - Bug in 2.2.16 VM subsystem
Summary: Bug in 2.2.16 VM subsystem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-03 15:12 UTC by Arthur van Leeuwen
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:15:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arthur van Leeuwen 2000-11-03 15:12:57 UTC
The VM subsystem of kernel 2.2.16 has a known VM bug that makes it
impossible to format large partitions on a Mylex AcceleRaid 170 logical
drive. This VM bug is fixed in kernel 2.2.17, but the RawHide 2.2.17-4
kernel actually backs out of that fix (see bug #20138).

The behaviour encountered is that of the VM subsystem killing processes due
to out-of-memory conditions, when almost all memory is in diskbuffers. This
should not happen.

Comment 1 Alan Cox 2000-12-16 02:03:07 UTC
There are problems in both sets of memory handling. Its likely to be 2.2.19
before every corner case is resolved. Which kernel are you using. Is it the
-enterprise one ?



Note You need to log in before you can comment on or make changes to this bug.